Guys, if anyone is looking at this, I'll hold off from tagging a bit longer,
as I'd rather have apr-1.3.1 address all the platform quirks we identified
in preparing 2.2.9 for release. But if I hear nothing, I'll have to just move ahead :)

Bill

Paul Querna wrote:

On aurora.apache.org, shortly after installing the new version, we hit a problem with apr_pollset_poll:

[Thu Jun 12 05:36:51 2008] [error] (70007)The timeout specified has expired: apr_pollset_poll: (listen)
[Thu Jun 12 05:36:52 2008] [notice] caught SIGTERM, shutting down

If you look in worker.c, around line 687, you can see that if do a graceful shutdown if we get an unexpected error from apr_pollset_poll.

This appears to be a regression caused by r641661:
https://svn.apache.org/viewvc?view=rev&revision=641661

Which was a fix for PR 42580: https://issues.apache.org/bugzilla/show_bug.cgi?id=42580

This appears to be an relative edge case on Solaris 10 -- it hasn't happened again, and it is a regression in APR, but relatively small, so I am still +1 for httpd-2.2.9 shipping.

Reply via email to